Package com.google.android.exoplayer2.source.hls

## Interface HlsExtractorFactory

- All Known Implementing Classes:
    `DefaultHlsExtractorFactory`

      public interface HlsExtractorFactory

  Factory for HLS media chunk extractors.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static HlsExtractorFactory` | `DEFAULT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HlsMediaChunkExtractor` | `createExtractor​(Uri uri, Format format, List<Format> muxedCaptionFormats, TimestampAdjuster timestampAdjuster, Map<String,​List<String>> responseHeaders, ExtractorInput sniffingExtractorInput, PlayerId playerId)` | Creates an `Extractor` for extracting HLS media chunks.

- - ### Field Detail

    - #### DEFAULT

          static final HlsExtractorFactory DEFAULT

  - ### Method Detail

    - #### createExtractor

          HlsMediaChunkExtractor createExtractor​(Uri uri,
                                                 Format format,
                                                 @Nullable
                                                 List<Format> muxedCaptionFormats,
                                                 TimestampAdjuster timestampAdjuster,
                                                 Map<String,​List<String>> responseHeaders,
                                                 ExtractorInput sniffingExtractorInput,
                                                 PlayerId playerId)
                                          throws IOException

      Creates an `Extractor` for extracting HLS media chunks.
      Parameters:
        `uri` - The URI of the media chunk.
        `format` - A `Format` associated with the chunk to extract.
        `muxedCaptionFormats` - List of muxed caption `Format`s. Null if no closed caption information is available in the multivariant playlist.
        `timestampAdjuster` - Adjuster corresponding to the provided discontinuity sequence number.
        `responseHeaders` - The HTTP response headers associated with the media segment or initialization section to extract.
        `sniffingExtractorInput` - The first extractor input that will be passed to the returned extractor's `Extractor.read(ExtractorInput, PositionHolder)`. Must only be used to call `Extractor.sniff(ExtractorInput)`.
        `playerId` - The `PlayerId` of the player using this extractors factory.
      Returns:
        An `HlsMediaChunkExtractor`.
      Throws:
        `IOException` - If an I/O error is encountered while sniffing.